
<template>
  <b-modal
    v-if="choix == false"
    v-model="show"
    ok-title="Continuer"
    :cancel-disabled="true"
  >
    {{ message }}
  </b-modal>
  <b-modal
    v-else
    v-model="show"
    ok-title="Continuer"
    cancel-title="Annuler"
    @ok="action()"
  >
    {{ message }}
  </b-modal>
</template>

<script>
import axios from 'axios';

export default {
    name: 'Modal',
    props: {
        message: String,
        choix: Boolean,
        actionbtn: String,
        quantitePrd: Number
    },
    
    data() {
        return {
        show: false,
        newMessage: '',
        url: process.env.VUE_APP_URL
        }
    },

    methods: {
        // VENDEUR page édition produit => suppression produit
        action(){
            let vm = this;
            if(vm.actionbtn == 'deleteProduit'){
                this.deleteProduit();
            } else {
                console.log('noaction');
            }
        },

        deleteProduit(){
                axios.delete(this.url + "/api/produits/" + this.$route.params.id)
                .then(response => {
                    this.$router.push('/profilproduits');
                })    
                .catch(err => {
                    console.log(err);
                })
            },
    
    }
}
</script>

<style lang="scss">
.modal-footer {
    .disabled {
        display: none !important;
    }
}
</style>
